GET v1/MLB/Person/Stats/Season/{season}/{franchiseId}

Returns a JSON Document

Request Information

URI Parameters

NameDescriptionTypeAdditional information
season

integer

Required

franchiseId

integer

Required

Body Parameters

None.

Response Information

Resource Description

PersonSeasonStat
NameDescriptionTypeAdditional information
esb_id

Elias Person Indentifier

string

None.

role

Player's Role: BAT or PIT

string

None.

season_id

4 digit season

integer

None.

season_type

Season Type: REG = Regular Season, PS = Postseason

string

None.

team_id

4 digit team identifier

string

None.

team_seq

Descending sequence of teams played for in current season. When value is 1, that is the current team of the player

integer

None.

batting

Batting Statistics

PersonSeasonBatting

None.

Response Formats

application/json, text/json

Sample:
{
  "esb_id": "sample string 1",
  "role": "sample string 2",
  "season_id": 3,
  "season_type": "sample string 4",
  "team_id": "sample string 5",
  "team_seq": 6,
  "batting": {
    "gp": 1,
    "gs": 2,
    "ab": 3,
    "r": 4,
    "h": 5,
    "do": 6,
    "tr": 7,
    "hr": 8,
    "rbi": 9,
    "sb": 10,
    "cs": 11,
    "sh": 12,
    "sf": 13,
    "bb": 14,
    "ibb": 15,
    "so": 16,
    "hbp": 17,
    "gdp": 18,
    "ci": 19,
    "tb": 20,
    "gshr": 21,
    "ihr": 22,
    "cycle": 23,
    "lob": 24,
    "pa": 25,
    "ba": "sample string 26",
    "slg": "sample string 27",
    "obp": "sample string 28",
    "ops": "sample string 29",
    "war": "sample string 30",
    "babip": "sample string 31",
    "wrc": "sample string 32",
    "ops_plus": "sample string 33",
    "woba": "sample string 34"
  }
}

application/xml, text/xml

Sample:
<PersonSeasonStat xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/Elias.Models.MLB">
  <batting>
    <ab>3</ab>
    <ba>sample string 26</ba>
    <babip>sample string 31</babip>
    <bb>14</bb>
    <ci>19</ci>
    <cs>11</cs>
    <cycle>23</cycle>
    <do>6</do>
    <gdp>18</gdp>
    <gp>1</gp>
    <gs>2</gs>
    <gshr>21</gshr>
    <h>5</h>
    <hbp>17</hbp>
    <hr>8</hr>
    <ibb>15</ibb>
    <ihr>22</ihr>
    <lob>24</lob>
    <obp>sample string 28</obp>
    <ops>sample string 29</ops>
    <ops_plus>sample string 33</ops_plus>
    <pa>25</pa>
    <r>4</r>
    <rbi>9</rbi>
    <sb>10</sb>
    <sf>13</sf>
    <sh>12</sh>
    <slg>sample string 27</slg>
    <so>16</so>
    <tb>20</tb>
    <tr>7</tr>
    <war>sample string 30</war>
    <woba>sample string 34</woba>
    <wrc>sample string 32</wrc>
  </batting>
  <esb_id>sample string 1</esb_id>
  <role>sample string 2</role>
  <season_id>3</season_id>
  <season_type>sample string 4</season_type>
  <team_id>sample string 5</team_id>
  <team_seq>6</team_seq>
</PersonSeasonStat>